﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DoubleDeckerBus.Entities
{
    public class EntityBus
    {
        public int Speed { get; private set; }
        public double Weight { get; private set; }
        public Color BodyColor { get; set; }
        public double Step => (double)Speed * 100 / Weight;
        public EntityBus(int speed, double weight, Color bodyColor)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
        }
        public void setBodyColor(Color color)
        {
            BodyColor = color;
        }
    }
}

